ExtendedLiveGridView (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.view

## Class ExtendedLiveGridView

- java.lang.Object
- - com.extjs.gxt.ui.client.event.BaseObservable
  - - com.extjs.gxt.ui.client.widget.grid.GridView
    - - com.extjs.gxt.ui.client.widget.grid.LiveGridView
      - - org.gcube.portlets.user.speciesdiscovery.client.view.ExtendedLiveGridView

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable

      public class ExtendedLiveGridView
      extends com.extjs.gxt.ui.client.widget.grid.LiveGridView

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.extjs.gxt.ui.client.widget.grid.GridView

      `com.extjs.gxt.ui.client.widget.grid.GridView.GridViewImages`

  - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.grid.LiveGridView

      `liveScroller, liveStore, liveStoreOffset, totalCount, viewIndex`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.grid.GridView

      `activeHdIndex, autoFill, borderWidth, cm, columnListener, deferEmptyText, ds, el, emptyText, enableHdMenu, enableRowBody, focusEl, focusEnabled, footer, forceFit, grid, header, headerColumnIndex, headerDisabled, images, innerHd, lastViewWidth, listener, mainBody, mainHd, mainWrap, overRow, preventScrollToTopOnRefresh, scroller, scrollOffset, selectable, sortState, splitterWidth, templates, userResized, vbar, viewConfig, widgetList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedLiveGridView()`

  - ### Method Summary

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.grid.LiveGridView

      `afterRender, calculateVBar, createComponentEvent, doLoad, getCacheSize, getCalculatedRowHeight, getLiveScrollerHeight, getLiveStoreCalculatedIndex, getLoadDelay, getPrefetchFactor, getRowHeight, getScrollAdjust, getVisibleRowCount, handleComponentEvent, initData, isCached, isHorizontalScrollBarShowing, loadLiveStore, notifyShow, onRemove, refresh, refresh, renderUI, resize, scrollToTop, setCacheSize, setLoadDelay, setPrefetchFactor, setRowHeight, shouldCache, updateAllColumnWidths, updateColumnHidden, updateColumnWidth, updateRows`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.grid.GridView

      `addRowStyle, applyEmptyText, autoExpand, createContextMenu, detachWidget, detachWidgets, doAttach, doDetach, doRender, doSort, ensureVisible, findCell, findCellIndex, findRow, findRowIndex, fitColumns, fly, focusCell, focusGrid, focusRow, getBody, getCell, getCellIndex, getCellSelectorDepth, getColumnData, getColumnStyle, getColumnWidth, getEditorParent, getEmptyText, getHeader, getHeaderCell, getImages, getOffsetWidth, getRenderedValue, getRow, getRow, getRows, getRowSelectorDepth, getScroller, getScrollState, getSortState, getTotalWidth, getViewConfig, getWidget, getWidgetCell, hasRows, init, initElements, initListeners, initTemplates, initUI, insertRows, isAdjustForHScroll, isAutoFill, isForceFit, isShowDirtyCells, isShowInvalidCells, isSortingEnabled, layout, layout, newColumnHeader, notifyHide, onAdd, onBeforeDataChanged, onCellDeselect, onCellSelect, onClear, onClick, onColumnMove, onColumnSplitterMoved, onColumnWidthChange, onDataChanged, onHeaderChange, onHeaderClick, onHiddenChange, onHighlightRow, onMouseDown, onRowDeselect, onRowOut, onRowOver, onRowSelect, onUpdate, prepareData, processRows, refreshRow, removeRow, removeRowStyle, render, renderFooter, renderHeader, renderRows, renderWidgets, restoreScroll, setAdjustForHScroll, setAutoFill, setCellSelectorDepth, setEmptyText, setForceFit, setRowSelectorDepth, setShowDirtyCells, setShowInvalidCells, setSortingEnabled, setViewConfig, stopEditing, syncHeaderScroll, syncHScroll, syncScroll, templateAfterMove, templateOnAllColumnWidthsUpdated, templateOnColumnHiddenUpdated, templateOnColumnWidthUpdated, templateOnLayout, templateUpdateColumnText, updateHeaderSortState, updateSortIcon`

    - ### Methods inherited from class com.extjs.gxt.ui.client.event.BaseObservable

      `addListener, callListener, fireEvent, fireEvent, getFiresEvents, getListeners, hasActiveEvent, hasListeners, hasListeners, removeAllListeners, removeListener, setFiresEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedLiveGridView

          public ExtendedLiveGridView()

Copyright © 2013. All Rights Reserved.